## org.eclipse.jet.xpath
Class XPathUtil.NodeSetAdapter

    java.lang.Object
      org.eclipse.jet.xpath.XPathUtil.NodeSetAdapter

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set, NodeSet

Enclosing class:
  XPathUtil

    protected static class XPathUtil.NodeSetAdapter

extends java.lang.Object
implements NodeSet

Adapter for Arrays and Collections into XPath NodeSets

Constructor Summary
`XPathUtil.NodeSetAdapter(java.util.Collection collection)`
`XPathUtil.NodeSetAdapter(java.lang.Object[] objectArray)`

Method Summary
`boolean` `add(java.lang.Object o)`
`boolean` `addAll(java.util.Collection c)`
`void` `clear()`
`boolean` `contains(java.lang.Object o)`
`boolean` `containsAll(java.util.Collection c)`
`boolean` `isEmpty()`
`java.util.Iterator` `iterator()`
`boolean` `remove(java.lang.Object o)`
`boolean` `removeAll(java.util.Collection c)`
`boolean` `retainAll(java.util.Collection c)`
`int` `size()`
`java.lang.Object[]` `toArray()`
`java.lang.Object[]` `toArray(java.lang.Object[] a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Set
`equals, hashCode`

Constructor Detail

### XPathUtil.NodeSetAdapter

    public XPathUtil.NodeSetAdapter(java.lang.Object[] objectArray)

### XPathUtil.NodeSetAdapter

    public XPathUtil.NodeSetAdapter(java.util.Collection collection)

Method Detail

### add

    public boolean add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.Collection`
  Specified by:
    `add` in interface `java.util.Set`

### addAll

    public boolean addAll(java.util.Collection c)

  Specified by:
    `addAll` in interface `java.util.Collection`
  Specified by:
    `addAll` in interface `java.util.Set`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  Specified by:
    `clear` in interface `java.util.Set`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `java.util.Collection`
  Specified by:
    `contains` in interface `java.util.Set`

### containsAll

    public boolean containsAll(java.util.Collection c)

  Specified by:
    `containsAll` in interface `java.util.Collection`
  Specified by:
    `containsAll` in interface `java.util.Set`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection`
  Specified by:
    `isEmpty` in interface `java.util.Set`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.Set`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `java.util.Collection`
  Specified by:
    `remove` in interface `java.util.Set`

### removeAll

    public boolean removeAll(java.util.Collection c)

  Specified by:
    `removeAll` in interface `java.util.Collection`
  Specified by:
    `removeAll` in interface `java.util.Set`

### retainAll

    public boolean retainAll(java.util.Collection c)

  Specified by:
    `retainAll` in interface `java.util.Collection`
  Specified by:
    `retainAll` in interface `java.util.Set`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.Set`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.Collection`
  Specified by:
    `toArray` in interface `java.util.Set`

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] a)

  Specified by:
    `toArray` in interface `java.util.Collection`
  Specified by:
    `toArray` in interface `java.util.Set`

Copyright 2006 IBM Corporation and others. All Rights Reserved.